ARIA-DEMO(1)

NAME
aria-demo - demonstration program for the Aria library

SYNOPSIS
aria-demo [-remoteHost|-rh remoteHostNameOrIP ] [-robotPort|-rp robotSerialPort ] ...

DESCRIPTION
This manual page documents briefly the aria-demo program.

aria-demo uses "Modes" defined in ARIA to provide keyboard control of many different robot features. Use this utility to experiment and test the robot's hardware.

OPTIONS
aria-demo accepts all command line options recognized by ARIA library. A summary of options is included below.

  ArRobotConnector options

-rh, -remoteHost <remoteHostNameOrIP>
    Specify the hostname or the IP address of the robot to connect to.

-rp. -robotPort <robotSerialPort>
    Specify the serial port on which the robots microcontroller is connected.

-rb, -robotBaud <baud>
    Set the baud rate for the serial connection.

-rrtp, -remoteRobotTcpPort <remoteRobotTcpPort>
    Set the TCP port of the remote robot.

-ris, -remoteIsSim
    Indicate that the remote robot is simulated.

-rins, -remoteIsNotSim

-rlpr, -robotLogPacketsReceived

-rlps, -robotLogPacketsSent

-rlmr, -robotLogMovementReceived

-rlms, -robotLogMovementSent

-rlvr, -robotLogVelocitiesReceived

-rla, -robotLogActions

  ArLaserConnector options
The following options work accross different laser sensors that may be installed on the robot. Read the documentation (provided in the libaria-dev-doc package) for details.

-lp, -laserPort <laserPort>

-lpt, -laserPortType <serial|tcp|serial422>

-rltp, -remoteLaserTcpPort <remoteLaserTcpPort>

-lf, -laserFlipped <true|false>

-lmr, -laserMaxRange <maxRange>

-lair, -laserAdditionalIgnoreReadings <readings>

AUTHOR
Aria library and this demo program was written by MobileRobots/Adept.

This manual page was written by Srećko Jurić-Kavelj <srecko.juri-kavelj@fer.hr>, for the Debian project (and may be used by others).